%define pkg_name        DBIx-Class
%define pkg_version     0.08007
%define rpm_pkg_version 0.08_007
%define rpm_pkg_release 1.n0i.10

Summary:       Extensible and flexible object <-> relational mapper
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BL/BLBLACK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
# build
BuildRequires: perl(DBD::SQLite) >= 1.11
BuildRequires: perl(Test::Builder) >= 0.33
# run
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Class::C3) >= 0.13
BuildRequires: perl(Class::C3::Componentised)
BuildRequires: perl(Class::Data::Accessor) >= 0.01
BuildRequires: perl(Class::Accessor::Grouped) >= 0.06
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Cwd) >= 3.19
BuildRequires: perl(Data::Page) >= 2
BuildRequires: perl(DBI) >= 1.4
BuildRequires: perl(Module::Find)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(SQL::Abstract) >= 1.2
BuildRequires: perl(SQL::Abstract::Limit) >= 0.11
BuildRequires: perl(Storable)
%endif

Provides: perl(DBIx::Class::ClassResolver::PassThrough)

%global perl_filter_req 'perl\\((DBD::|JSON|SQL::Translator)'


%description
This is an SQL to OO mapper with an object API inspired by Class::DBI (and
a compatibility layer as a springboard for porting) and a resultset API
that allows abstract encapsulation of database operations. It aims to make
representing queries in your code as perl-ish as possible while still
providing access to as many of the capabilities of the database as
possible, including retrieving related records from multiple tables in a
single query, JOIN, LEFT JOIN, COUNT, DISTINCT, GROUP BY and HAVING
support.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Wed Sep 05 2007 Marius Feraru <altblue@n0i.net> - 0.08_007-1.n0i.10.0.08007
- version 0.08007

* Mon Aug 20 2007 Marius Feraru <altblue@n0i.net> - 0.08_006-1.n0i.9.0.08006
- version 0.08006

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 0.08_005-1.n0i.8.0.08005
- version 0.08005

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.08_003-1.n0i.7.0.08003
- version 0.08003

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.07_006-1.n0i.6.0.07006
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.07006

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.06_999_05-1.n0i.5.0.06999_05
- version 0.06999_05

* Fri Jun 30 2006 Marius Feraru <altblue@n0i.net> - 0.06_999_04-1.n0i.4.0.06999_04
- versionn 0.06999_04

* Sun May 21 2006 Marius Feraru <altblue@n0i.net> - 0.06_003-1.n0i.3.0.06003
- version 0.06003

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> - 0.06_001-1.n0i.2.0.06001
- version 0.06001

* Sat Apr 08 2006 Marius Feraru <altblue@n0i.net> 0.06_000-1.n0i.1.0.06000
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
